"""
Consolidate functions specific to virtual machine provisioning,
but not specific to any type of virtual machine.
"""

from utah.provisioning.provisioning import Machine


class VM(Machine):
    """
    Provide a class to consolidate methods specific to virtual machines.
    """
    def __init__(self, *args, **kw):
        super(VM, self).__init__(*args, **kw)
        self.logger.debug('VM init finished')
